maptrace.h File Reference
`#include <vector>`
`#include <memory>`
`#include <QDataStream>`
`#include <QMetaType>`
`#include "../exportinmportconfig.h"`
`#include "../types.h"`
`#include "trace.h"`
`#include "datapoint.h"`
`#include "../mzrange.h"`

Go to the source code of this file.

## Classes

class | pappso::MapTrace

## Namespaces

| pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Typedefs

typedef std::shared_ptr< MapTrace > | pappso::MapTraceSPtr
typedef std::shared_ptr< const MapTrace > | pappso::MapTraceCstSPtr

## Functions

QDataStream & | pappso::operator<< (QDataStream &out, const Trace &trace)
QDataStream & | pappso::operator>> (QDataStream &out, Trace &trace)
| Q_DECLARE_METATYPE (pappso::MapTrace)
| Q_DECLARE_METATYPE (pappso::MapTrace *)

## Variables

int | mapTraceMetaTypeId
int | mapTracePtrMetaTypeId

## Function Documentation

## Q_DECLARE_METATYPE() [1/2]

Q_DECLARE_METATYPE | ( | pappso::MapTrace * |  | ) |

## Q_DECLARE_METATYPE() [2/2]

Q_DECLARE_METATYPE | ( | pappso::MapTrace |  | ) |

## Variable Documentation

## mapTraceMetaTypeId

int mapTraceMetaTypeId

extern

Definition at line 21 of file maptrace.cpp.

## mapTracePtrMetaTypeId

int mapTracePtrMetaTypeId

extern

Definition at line 23 of file maptrace.cpp.